mail/smtp-vilter - The NetBSD Packages Collection

milter to scan messages for viruses and spam

smtp-vilter is a high performance content filter for sendmail to detect e-mail
viruses and spam.  smtp-vilter decides whether to pass, discard or simply mark
an e-mail message based on the results of a content scan and user defined
strategies.  It can interact with the pf packet filter when it detects spam,
viruses or unwanted content by adding the IP address of the sending host to a
PF table.

smtp-vilter does not do the scanning by itself, it relies on third-party
products like ClamAV, SpamAssassin, or any ICAP capable scanner for this
purpose. smtp-vilter uses the milter API to communicate with sendmail and one
or more backends to communicate with the actual virus or spam scanning engines.
The backends can be chained to perform a series of checks on one message in one
run.

The software is highly configurable and provides mechanisms for secure
operation.

The backends included in the distribution provide support for the Clam
AntiVirus Daemon (clamd), the Spamassassins Daemon (spamd), ICAP capable
backends (icap), and the standalone attachment backend to filter out unwanted
attachments.  The backends are realised as shared libraries that are loaded
dynamically when smtp-vilter starts.  All backends have their own configuration
file.

smtp-vilter is documented in the following manpages:

	smtp-vilter(8)			Running the smtp-vilter
	smtp-vilter.conf(5)		The smtp-vilter config file

Build dependencies

mail/libmilter pkgtools/cwrappers

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 9.0aarch64smtp-vilter-1.3.8nb4.tgz
NetBSD 9.0aarch64smtp-vilter-1.3.8nb4.tgz
NetBSD 9.0aarch64smtp-vilter-1.3.8nb4.tgz
NetBSD 9.0aarch64smtp-vilter-1.3.8nb4.tgz
NetBSD 9.0alphasmtp-vilter-1.3.8nb4.tgz
NetBSD 9.0alphasmtp-vilter-1.3.8nb4.tgz
NetBSD 9.0earmv6hfsmtp-vilter-1.3.8nb4.tgz
NetBSD 9.0earmv6hfsmtp-vilter-1.3.8nb4.tgz
NetBSD 9.0earmv6hfsmtp-vilter-1.3.8nb4.tgz
NetBSD 9.0earmv6hfsmtp-vilter-1.3.8nb4.tgz
NetBSD 9.0earmv6hfsmtp-vilter-1.3.8nb4.tgz
NetBSD 9.0mips64ebsmtp-vilter-1.3.8nb4.tgz
NetBSD 9.0mips64ebsmtp-vilter-1.3.8nb4.tgz
NetBSD 9.0mips64ebsmtp-vilter-1.3.8nb4.tgz
NetBSD 9.0mips64ebsmtp-vilter-1.3.8nb4.tgz
NetBSD 9.0sparc64smtp-vilter-1.3.8nb4.tgz
NetBSD 9.0sparc64smtp-vilter-1.3.8nb4.tgz
NetBSD 9.0sparcsmtp-vilter-1.3.8nb4.tgz
NetBSD 9.0sparcsmtp-vilter-1.3.8nb4.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.